Bug 127118 - im-sdk should include some headers for development
Summary: im-sdk should include some headers for development
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: im-sdk   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact:
URL:
Whiteboard:
Keywords: i18n
Depends On:
Blocks: IIIMF
TreeView+ depends on / blocked
 
Reported: 2004-07-02 05:06 UTC by Leon Ho
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-13 07:51:07 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Leon Ho 2004-07-02 05:06:31 UTC
Description of problem:
Currently our im-sdk package does not include iml headers for LE
development. Hence some of the external packaged LE need to have their
own header files in the package.

Version-Release number of selected component (if applicable):


How reproducible:
everytime

Steps to Reproduce:
1. build a LE without including iml headers
  
Actual results:
build failed as no headers

Expected results:
built successfully

Additional info:

Comment 1 Jens Petersen 2004-08-11 11:18:19 UTC
All the needed headers should now be in /usr/include/iiimf
in 11.4-69.svn1856.

Comment 2 Jens Petersen 2004-08-12 02:00:35 UTC
In the end I decided to put them in %im_dir/include for now.

Comment 3 Lawrence Lim 2004-09-13 07:51:07 UTC
The development headers are now in the %im_dir/include
(im-sdk-12.0.1-5.svn1891).

Thanks.

---
/usr/lib/im/include
-rw-r--r--  1 root root 10827 Sep  9 00:20 EIMIL.h
-rw-r--r--  1 root root 14262 Sep  9 00:20 iiimcf.h
-rw-r--r--  1 root root  2817 Sep  9 00:20 iiimp-character-subsets.h
-rw-r--r--  1 root root 63293 Sep  9 00:20 iiimp-data.h
-rw-r--r--  1 root root  9241 Sep  9 00:20 iiimp.h
-rw-r--r--  1 root root  5858 Sep  9 00:20 iiimp-keycode.h
-rw-r--r--  1 root root  2138 Sep  9 00:20 iiimp-opcode.h
-rw-r--r--  1 root root  2144 Sep  9 00:20 IMArg.h
-rw-r--r--  1 root root  2239 Sep  9 00:20 IMCharSubsets.h
drwxr-xr-x  2 root root  4096 Sep  9 14:06 iml
-rw-r--r--  1 root root 14302 Sep  9 00:20 IMProtocolStruct.h



Note You need to log in before you can comment on or make changes to this bug.